## LinuxMint_Nemo_actions.sh
#!/bin/sh
#
if [ ! -f /etc/debian_version ]; then 
    echo "Unsupported Linux Distribution. Prepared for Debian"
    exit 1
fi
################################################################################
#
#
#  Deja-Dup in to  Nemo integration @Linux Mint / Linux Mint Debian Edition
# 
# 
################################################################################
#
sudo apt install -y deja-dup

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/deja-dup_restore_missing.nemo_action
[Nemo Action]
Active=true
Name=Fehlende Daten Wiederherstellen...
Comment=Prüfe auf fehlende Dateien oder Verzeichnisse
Exec=/usr/bin/deja-dup --restore-missing '%F'
Icon-Name=deja-dup
Selection=none
Extensions=any;
EOF'


sudo bash -c 'cat << EOF > /usr/share/nemo/actions/deja-dup_previous_version.nemo_action
[Nemo Action]
Active=true
Name=Frühere Version...
Comment=Frühere Version wiederherstellen
Exec=/usr/bin/deja-dup --restore '%U'
Icon-Name=deja-dup
Selection=S
Extensions=any;
EOF'


# Nemo-Kontextmenüs am Beispiel von Bulky. Erforderlich sind in diesem Fall zwei kleine Dateien unter 
# „~/.local/share/nemo/actions“ (oder global unter „/usr/share/nemo/actions“). Die erste Datei nennen wir 
# „bulky.nemo_ action“ (die Extension ist zwingend):
# Nemo Aktion - Rename Files
sudo bash -c 'cat << EOF > /usr/share/nemo/actions/bulky.nemo_action
[Nemo Action]
Name=Bulky-Renamer Exec=sh /home/lw/.local/share/nemo/actions/bulky.sh "%F"
Selection=s
Icon-Name=abiword
Extensions=dir;
EOF'

cat > ~/.local/share/nemo/actions/bulky.sh <<"EOF"
cd "$1"
/usr/bin/bulky *
EOF


# Nemo Aktion - webm zu mp3 konvertieren
sudo apt install -y ffmpeg lame

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/webmmp3.nemo_action
[Nemo Action]
Active=true
Name=webm zu mp3 konvertieren
Comment=Konvertiere webm Dateien zu mp3
Exec=ffmpeg -i "%F" -vn -ab 128k -ar 44100 -y "%F".mp3
Icon-Name=emblem-music-symbolic
Selection=any;
Extensions=wav;ogg;aac;m4a;flac;mp4;wma;aac;midi;aif;aifc;aiff;au;ea;webm
Terminal=true
EOF'

# Nemo Aktion - File secure delete
sudo apt install -y wipe

sudo bash -c 'cat << EOF > /usr/share/nemo/actions/wipe.nemo_action
[Nemo Action]
Name=Wipe File
Name[de]=Sicher löschen
Comment[de]=Dateien/Ordner sicher löschen
Exec=/usr/bin/wipe -rf %F 
Icon-Name=gtk-dialog-warning
Selection=S
Extensions=any;
Quote=double
EOF'


sudo bash -c 'cat << EOF > /usr/share/nemo/actions/nano_sudoedit.nemo_action
[Nemo Action]
Name=_Nano (Sudoedit)
Comment=Open %F with nano opening as different user when needed via sudoedit.
Exec=<action_scripts/nano_sudoedit_check.sh %F>
Icon-Name=text-editor-symbolic
#Stock-Id=
Selection=s
#Extensions=
Mimetypes=text/plain;text/css;text/english;text/html;text/x-apt-sources-list;text/x-c;text/x-c++;text/x-c++hdr;text/x-c++src;text/x-chdr;text/x-csrc;text/x-diff;text/x-dsrc;text/x-java;text/x-makefile;text/x-moc;text/x-pascal;text/x-perl;text/x-python;text/x-sql;text/x-tcl;text/x-tex;
#Separator= 
#Quote=
Dependencies=sudoedit;nano;
#Conditions=
EscapeSpaces=true
Terminal=true
EOF'

